Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Binary release of DivX Codec 5.0.5
Name:		divx4linux
Version:	20030428
Release:	1
Provides:	%{name}
License:	DIVX
URL:		http://divx.com
Group:		System/Libraries
Source0:	%{name}-std-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Binary release of DivX Codec 5.0.5

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/lib
for lib in *.so
do
	install -m 755 ${lib} %{buildroot}%{_libdir}
	ln -s ${lib} %{buildroot}%{_libdir}${lib}.0
done
mkdir -p %{buildroot}/usr/include
for headers in *.h
do
	install -m 644 $headers %{buildroot}%{_includedir}
done
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*
%exclude %_includedir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 18 2005 Stefan Gottwald <gotti@ccux-linux.de> 20030428-1
- Initial Release
